Mail archive
alpine-devel

[alpine-devel] Huh? Error reporter did not find the broken constraints.

From: Natanael Copa <ncopa_at_alpinelinux.org>
Date: Sun, 31 Dec 2017 15:00:48 +0100

Hi,

after I upgraded apk to 2.9.0 on my work desktop I get the following error:

ncopa-desktop:~$ sudo apk upgrade -U -a
fetch http://dl-cdn.alpinelinux.org/alpine/edge/main/x86_64/APKINDEX.tar.gz
fetch http://dl-cdn.alpinelinux.org/alpine/edge/community/x86_64/APKINDEX.tar.gz
fetch http://dl-cdn.alpinelinux.org/alpine/edge/testing/x86_64/APKINDEX.tar.gz
ERROR: unsatisfiable constraints:
  Huh? Error reporter did not find the broken constraints.


I have tried to delete some of the --virtual package I had installed but it didn't solve anything.

I idea how to troubleshoot this?

I have attached my /etc/apk/world

-nc



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Dec 31 2017 - 15:00:48 GMT